ActiveMQPrefetchPolicy (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQPrefetchPolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQPrefetchPolicy

    java.lang.Object
      org.codehaus.activemq.ActiveMQPrefetchPolicy

public class ActiveMQPrefetchPolicy
extends Object

Defines the pretech message policies for different types of consumers

Version:
  $Revision: 1.7 $

Constructor Summary
`ActiveMQPrefetchPolicy()` Initialize default prefetch policies

Method Summary
`int` | `getDurableTopicPrefetch()`
`int` | `getQueueBrowserPrefetch()`
`int` | `getQueuePrefetch()`
`int` | `getTopicPrefetch()`
`void` | `setDurableTopicPrefetch(int durableTopicPrefetch)`
`void` | `setQueueBrowserPrefetch(int queueBrowserPrefetch)`
`void` | `setQueuePrefetch(int queuePrefetch)`
`void` | `setTopicPrefetch(int topicPrefetch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQPrefetchPolicy

    public ActiveMQPrefetchPolicy()

  Initialize default prefetch policies

Method Detail

### getDurableTopicPrefetch

    public int getDurableTopicPrefetch()

  Returns:
    Returns the durableTopicPrefetch.

### setDurableTopicPrefetch

    public void setDurableTopicPrefetch(int durableTopicPrefetch)

  Parameters:
    `durableTopicPrefetch` - The durableTopicPrefetch to set.

### getQueuePrefetch

    public int getQueuePrefetch()

  Returns:
    Returns the queuePrefetch.

### setQueuePrefetch

    public void setQueuePrefetch(int queuePrefetch)

  Parameters:
    `queuePrefetch` - The queuePrefetch to set.

### getQueueBrowserPrefetch

    public int getQueueBrowserPrefetch()

  Returns:
    Returns the queueBrowserPrefetch.

### setQueueBrowserPrefetch

    public void setQueueBrowserPrefetch(int queueBrowserPrefetch)

  Parameters:
    `queueBrowserPrefetch` - The queueBrowserPrefetch to set.

### getTopicPrefetch

    public int getTopicPrefetch()

  Returns:
    Returns the topicPrefetch.

### setTopicPrefetch

    public void setTopicPrefetch(int topicPrefetch)

  Parameters:
    `topicPrefetch` - The topicPrefetch to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.